import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@mikro-orm/nestjs';
import { EntityRepository } from '@mikro-orm/mysql';
import { Mode } from './mode.entity';
import { EntityManager } from '@mikro-orm/mysql';
import { RoomSession } from '../room/roomSession.entity';

export enum ModeType {
    PAIR_PROGRAMMING = 'pairProgramming',
    ROLE_BASED_PROGRAMMING = 'roleBasedProgramming',
    DEFAULT = 'default',
}

@Injectable()
export class ModeService {
    constructor(
            private readonly em: EntityManager,
            @InjectRepository(Mode) 
            private readonly modeRepository: EntityRepository<Mode>) {}
    
    async createMode(roomSession: RoomSession, modeName: ModeType): Promise<Mode> {
        const mode = new Mode(modeName, roomSession);
        await this.em.persistAndFlush(mode);
        return mode;
    }
        
}

