import { Entity, ManyToOne, PrimaryKey, Property } from '@mikro-orm/core';
import { RoomSessionUser } from 'src/room/roomSessionUser.entity';


@Entity({ tableName: 'role' })
export class Role {
  @PrimaryKey()
  id!: number;

  @Property()
  roleName!: string;

  @ManyToOne()
  roomSessionUser!: RoomSessionUser;

  constructor(roleName: string, roomSessionUser: RoomSessionUser) {
    this.roomSessionUser = roomSessionUser;
    this.roleName = roleName;

  }
}
