import { Module, forwardRef } from '@nestjs/common';
import { MikroOrmModule } from '@mikro-orm/nestjs';
import { RoomSessionService } from './roomSession.service';
import { RoomSession } from './roomSession.entity';
import { RoomSessionPointsController } from './roomSession.controller';
import { RoomSessionUserModule } from './roomSessionUser.module';
import { RoomSessionUser } from './roomSessionUser.entity';

@Module({
    imports: [MikroOrmModule.forFeature([RoomSession, RoomSessionUser]), forwardRef(() => RoomSessionUserModule)],
    providers: [RoomSessionService],
    controllers: [RoomSessionPointsController],
    exports: [RoomSessionService],
})
export class RoomSessionModule {}